Bug 173369 - math/gnuplot+: avoid conflicts with math/gnuplot
Summary: math/gnuplot+: avoid conflicts with math/gnuplot
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-05 02:20 UTC by NAKAJI Hiroyuki
Modified: 2013-11-19 09:34 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (6.66 KB, patch)
2012-11-05 02:20 UTC, NAKAJI Hiroyuki
no flags Details | Diff
gnuplot+.diff (12.25 KB, patch)
2012-11-05 06:18 UTC, NAKAJI Hiroyuki
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description NAKAJI Hiroyuki 2012-11-05 02:20:00 UTC
	Some files such as gnuplot, gnuplot_x11 and so on are also
installed by math/gnuplot. To avoid these confliction, the names of these
files are modified with '+'. The build failure related with autotools is
also fixed.

Fix: ===> Generating patch
===> Viewing diff with more
How-To-Repeat: N/A
Comment 1 Edwin Groothuis freebsd_committer 2012-11-05 02:31:30 UTC
Class Changed
From-To: maintainer-update->change-request

Fix category (submitter is not maintainer) (via the GNATS Auto Assign 
Tool)
Comment 2 Edwin Groothuis freebsd_committer 2012-11-05 02:31:31 UTC
Maintainer of math/gnuplot+,

Please note that PR ports/173369 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/173369

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2012-11-05 02:31:32 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 NAKAJI Hiroyuki 2012-11-05 06:18:04 UTC
More files need changes. The diff is updated.
Comment 5 Baptiste Daroussin freebsd_committer 2012-12-07 13:17:16 UTC
Hi,

It is worth doing that instead of just removing math/gnuplot+ from the ports
tree?

Upstream claims:
"This package is obsolete. The author does not recommend to use it."

The package also depends on japanese/vflib which is deprecated and has expired.

Do you agree if I just remove the ports from the ports tree?

regards,
Bapt
Comment 6 Baptiste Daroussin freebsd_committer 2013-01-06 15:39:38 UTC
In absence of any reply, I'll mark this port as deprecated and will
remove it in one month if maintainer has not stated that it is worth
keeping the port during that time.

regards,
Bapt
Comment 7 Philippe Audeoud freebsd_committer 2013-11-19 09:34:41 UTC
State Changed
From-To: feedback->closed

math/gnuplot+ is no more in portstree.